Subject: rh_init exported twice (rheap vs. dm-region_hash)

From: Matt Sealey <[email-masked]>
Date: Mon, 23 Jun 2008 13:33:10 +0100

Hi guys,

I keep getting export errors when building kernels, a conflict between
arch/powerpc/lib/rheap.c:rh_init() and drivers/dm/dm-region_hash.c:rh_init()

- in the event you want to use BestComm, MPC8610 DIU or other features
*and* a RAID algorithm, which subsystem would be best to patch away or
patch in a fix?

I was thinking of renaming the dm hash one to rh_hash_init() and then I
thought, maybe rh_heap_init() is better. Then I thought, why have rh in
both places, why not rename the entire API (rheap_ and rhash_) in both
cases?

What do you think is the best solution? Willing to hack and compile test
just so my kernel builds are "cleaner"..

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations